Subject: [PATCH net-next 0/3] Report socket shutdown state via sock-diag

From: Pavel Emelyanov <[email-masked]>
Date: Tue, 23 Oct 2012 20:18:51 +0400

The sk->sk_shutdown mask (set by sys_shutdown) cannot be read from
the user space. I suppose that the best API to report it is the
recently added sock-diag one (as we can use it not only in the
checkpoint-restore project, but also enhance the ss output with the
shutdown info).

However, there's one issue with the inet-diag part of it -- we've
run out of bits on the extension flags of dump request. This one is
addressed in the patch #2.

Thanks,
Pavel